Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Wireless network problems
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
turboscrew
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2014
Posts: 88
Location: Nokia (town), Finland

PostPosted: Sat Sep 27, 2014 11:14 am    Post subject: Wireless network problems Reply with quote

I seem to have problems getting my new Gentoo (x86_64) to connect to internet.
I don't have cable, so my only way is wifi.
Now I'm trying with Gentoo Live DVD (x86_64 kernel) to set it up.

What is wrong?

I managed to install net-wireless/wireless-tools and net-wireless/rfkill, but nor net-wireless/wpa_supplicant
and I couldn't get the wlan configured using wireless-tools either.

Code:
Gentoo-2012 mnt # !grep
grep CONFIG_PACKET /usr/src/linux/.config
CONFIG_PACKET=m
CONFIG_PACKET_DIAG=m

Code:
Gentoo-2012 mnt # cat /etc/portage/package.use
net-wireless/wpa_supplicant qt4
sys-apps/dbus X


Code:
Gentoo-2012 mnt # emerge net-wireless/wpa_supplicant

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] app-text/poppler-data-0.4.6
[ebuild  N     ] dev-libs/lzo-2.08  USE="-examples -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-libs/libaio-0.3.109-r4  USE="multilib -static-libs {-test}"
[ebuild  N     ] app-arch/rpm2targz-9.0.0.5g
[ebuild  N     ] dev-libs/gobject-introspection-common-1.4D PACKAGD PACKAG0.0
[ebuild  N     ] media-libs/lcms-2.5  USE="jpeg tiff zlib -doc -static-libs {-test}"
[ebuild  N     ] media-libs/libmng-2.0.2-r1  USE="lcms -static-libs" ABI_X86="(64) (-32) (-x32)"                                                                                     
[ebuild  N     ] app-admin/eselect-opengl-1.2.7
[ebuild  N     ] app-admin/eselect-mesa-0.0.10
[ebuild  N     ] app-text/qpdf-5.1.1  USE="-doc -examples -static-libs {-test}"
[ebuild  N     ] dev-perl/Net-Daemon-0.480.0-r1
[ebuild  N     ] perl-core/Sys-Syslog-0.320.0-r1
[ebuild  N     ] virtual/perl-Time-HiRes-1.972.500-r2
[ebuild  N     ] perl-core/Term-ANSIColor-4.20.0
[ebuild     U  ] dev-lang/perl-5.18.2-r1 [5.16.3]
[ebuild  N     ] virtual/perl-Sys-Syslog-0.320.0-r2
[ebuild  N     ] virtual/perl-Term-ANSIColor-4.20.0-r2
[ebuild  N     ] app-text/libpaper-1.1.24-r2  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-db/sqlite-3.8.4.3  USE="readline -debug -doc -icu -secure-delete -static-libs -tcl {-test}" ABI_X86="(64) (-32) (-x32)"                                         
[ebuild  N     ] media-libs/jbig2dec-0.11-r1  USE="png -static-libs {-test}"
[ebuild  N     ] virtual/perl-Storable-2.410.0-r1
[ebuild  N     ] virtual/perl-Getopt-Long-2.390.0-r1
[ebuild  N     ] dev-perl/PlRPC-0.202.0-r2
[ebuild  N     ] dev-perl/DBI-1.623.0  USE="{-test}"
[ebuild  N     ] dev-perl/File-BaseDir-0.30.0-r1  USE="{-test}"
[ebuild  N     ] dev-perl/File-DesktopEntry-0.40.0-r1  USE="{-test}"
[ebuild  N     ] dev-perl/File-MimeInfo-0.170.0-r1  USE="{-test}"
[ebuild  N     ] x11-proto/xineramaproto-1.2.1-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libSM-1.2.2  USE="ipv6 uuid -doc -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-proto/damageproto-1.2.1-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-proto/xf86vidmodeproto-2.3.1-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libfontenc-1.1.2  USE="-static-libs"
[ebuild  N     ] x11-libs/pixman-0.32.4  USE="sse2 (-altivec) (-iwmmxt) (-loongson2f) -mmxext (-neon) -ssse3 -static-libs" ABI_X86="(64) (-32) (-x32)"                               
[ebuild  N     ] dev-util/desktop-file-utils-0.22  USE="-emacs"
[ebuild  N     ] x11-proto/fixesproto-5.0-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libxshmfence-1.1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-proto/dri2proto-2.8-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/presentproto-1.0  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/glproto-1.4.17  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/dri3proto-1.0  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/xf86driproto-2.1.1-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libpciaccess-0.13.2  USE="zlib -minimal -static-libs" ABI_X86="(64) (-32) (-x32)"                                                                           
[ebuild  N     ] x11-proto/recordproto-1.14.2-r1  USE="-doc" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-proto/compositeproto-0.4.2-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-db/mysql-init-scripts-2.0_pre1-r6
[ebuild     U  ] dev-libs/glib-2.40.0-r1 [2.38.2-r1]
[ebuild  N     ] x11-apps/mkfontscale-1.1.1
[ebuild  N     ] x11-libs/libdrm-2.4.52  USE="-libkms -static-libs" ABI_X86="(64) (-32) (-x32)" VIDEO_CARDS="intel nouveau radeon vmware (-exynos) (-freedreno) (-omap)"             
[ebuild  N     ] x11-apps/mkfontdir-1.0.7
[ebuild  N     ] media-fonts/encodings-1.0.4
[ebuild  N     ] media-fonts/urw-fonts-2.4.9  USE="X"
[ebuild  N     ] app-arch/libarchive-3.1.2-r1  USE="acl bzip2 e2fsprogs iconv lzma zlib -expat -lzo -nettle -static-libs -xattr"                                                     
[ebuild     U  ] dev-libs/openssl-1.0.1i [1.0.1h-r1] USE="-bindist*" ABI_X86="(64%*) (-32) (-x32)"
[ebuild  N     ] net-nds/openldap-2.4.38-r2  USE="berkdb crypt ipv6 minimal ssl syslog tcpd -cxx -debug -experimental -gnutls -icu -iodbc -kerberos -odbc -overlays -perl -samba -sasl (-selinux) -slp -smbkrb5passwd" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] net-misc/curl-7.36.0  USE="ipv6 ldap ssl -adns -idn -kerberos -metalink -rtmp -ssh -static-libs {-test} -threads" CURL_SSL="openssl -axtls -gnutls -nss -polarssl"   
[ebuild  N     ] media-libs/fontconfig-2.10.92  USE="-doc -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] app-admin/eselect-fontconfig-1.1
[ebuild  N     ] dev-libs/gobject-introspection-1.40.0-r1  USE="cairo -doctool {-test}" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/atk-2.12.0-r1  USE="introspection nls {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild   R    ] dev-qt/qtcore-4.8.5-r2  USE="qt3support*"
[ebuild  N     ] dev-qt/qtscript-4.8.5  USE="exceptions iconv jit (-aqua) -debug -pch"
[ebuild  N     ] x11-proto/xcb-proto-1.10  ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 python3_3 -python3_2"                                                               
[ebuild  N     ] x11-libs/libxcb-1.10  USE="xkb -doc (-selinux) -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libX11-1.6.2  USE="ipv6 -doc -static-libs {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXext-1.3.2  USE="-doc -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXrender-0.9.8  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXfixes-5.0.1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXi-1.7.2  USE="-doc -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXcursor-1.1.14  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXinerama-1.1.3  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXrandr-1.4.2  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXv-1.0.10  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXt-1.1.4  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] sys-apps/dbus-1.8.6  USE="X -debug -doc (-selinux) -static-libs -systemd {-test}" ABI_X86="(64) (-32) (-x32)"                                                       
[ebuild  N     ] x11-libs/libXdamage-1.1.4-r1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/gdk-pixbuf-2.30.8  USE="X introspection jpeg tiff -debug -jpeg2k {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXcomposite-0.4.4-r1  USE="-doc -static-libs" ABI_X86="(64) (-32) (-x32)"                                                                                 
[ebuild  N     ] x11-apps/xprop-1.2.2
[ebuild  N     ] x11-libs/libXmu-1.1.2  USE="ipv6 -doc -static-libs" ABI_X86="(64) (-32) (-x32)"                                                                                     
[ebuild  N     ] x11-apps/xset-1.2.3
[ebuild  N     ] www-client/links-2.8-r1  USE="X bzip2 gpm ipv6 jpeg ssl tiff unicode zlib -directfb -fbcon -livecd -lzma (-suid) (-svga)"                                           
[ebuild  N     ] x11-misc/xdg-utils-1.1.0_rc2  USE="perl -doc"
[ebuild  N     ] x11-libs/libXxf86vm-1.1.3  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild   R    ] dev-libs/libxml2-2.9.1-r4  USE="python*"
[ebuild  N     ] dev-util/gdbus-codegen-2.40.0  PYTHON_TARGETS="python2_7 python3_3 -python3_2"                                                                                       
[ebuild  N     ] x11-libs/libXtst-1.2.2  USE="-doc -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] app-accessibility/at-spi2-core-2.12.0  USE="X introspection"
[ebuild  N     ] app-accessibility/at-spi2-atk-2.12.1  USE="{-test}"
[ebuild  N     ] x11-libs/libXft-2.3.1-r1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/xcb-util-0.3.9  USE="-doc -static-libs {-test}"
[ebuild  N     ] x11-libs/xcb-util-wm-0.4.1  USE="-doc -static-libs {-test}"
[ebuild  N     ] x11-libs/xcb-util-keysyms-0.3.9  USE="-doc -static-libs {-test}"
[ebuild  N     ] x11-libs/xcb-util-renderutil-0.3.8  USE="-doc -static-libs {-test}"
[ebuild  N     ] x11-libs/xcb-util-image-0.3.9  USE="-doc -static-libs {-test}"
[ebuild  N     ] net-wireless/crda-1.1.2-r3
[ebuild  N     ] dev-libs/libusb-1.0.18  USE="udev -debug -doc -examples -static-libs {-test}" ABI_X86="(64) (-32) (-x32)"                                                           
[ebuild  N     ] virtual/libusb-1-r1  USE="udev" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] net-print/cups-1.7.3  USE="X acl dbus pam ssl threads usb -debug -gnutls -java -kerberos -lprng-compat -python (-selinux) -static-libs -systemd -xinetd -zeroconf" ABI_X86="(64) (-32) (-x32)" LINGUAS="ca es fr it ja pt_BR ru" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-qt/qtgui-4.8.5-r3  USE="accessibility cups exceptions glib mng qt3support tiff xinerama xv (-aqua) -debug -egl -gtkstyle -nas -nis -pch -trace"                 
[ebuild  N     ] dev-util/cmake-2.8.12.2-r1  USE="ncurses qt4 -emacs (-qt5) {-test}"
[ebuild  N     ] dev-qt/qtsvg-4.8.5  USE="accessibility exceptions (-aqua) -debug -pch"
[ebuild  N     ] sys-devel/llvm-3.3-r3  USE="libffi static-analyzer xml -clang -debug -doc -gold -multitarget -ocaml -python {-test} -udis86" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-pypy)" VIDEO_CARDS="radeon"
[ebuild  N     ] media-libs/mesa-10.0.4  USE="classic egl gallium llvm nptl -bindist -debug -gbm -gles1 -gles2 -llvm-shared-libs -opencl -openvg -osmesa -pax_kernel -pic -r600-llvm-compiler (-selinux) -vdpau -wayland -xa -xvmc" ABI_X86="(64) (-32) (-x32)" VIDEO_CARDS="intel nouveau radeon vmware (-freedreno) -i915 -i965 -ilo -r100 -r200 -r300 -r600 -radeonsi"   
[ebuild  N     ] x11-libs/cairo-1.12.16  USE="X glib opengl svg xcb (-aqua) -debug -directfb -doc (-drm) (-gallium) (-gles2) -legacy-drivers -openvg (-qt4) -static-libs -valgrind -xlib-xcb"                                                                                   
[ebuild  N     ] app-text/poppler-0.24.5  USE="cairo cxx introspection jpeg lcms png qt4 tiff utils -cjk -curl -debug -doc -jpeg2k"                                                   
[ebuild  N     ] media-gfx/graphite2-1.2.4-r1  USE="-perl {-test}" ABI_X86="(64) (-32) (-x32)"                                                                                       
[ebuild  N     ] media-libs/harfbuzz-0.9.28  USE="cairo glib graphite introspection truetype -icu -static-libs {-test}" ABI_X86="(64) (-32) (-x32)"                                   
[ebuild  N     ] x11-libs/pango-1.36.5  USE="X introspection -debug" ABI_X86="(64) (-32) (-x32)"                                                                                     
[ebuild  N     ] x11-libs/gtk+-2.24.24  USE="cups introspection xinerama (-aqua) -debug -examples {-test} -vim-syntax" ABI_X86="(64) (-32) (-x32)"                                   
[ebuild  N     ] x11-libs/gtk+-3.12.2  USE="X cups introspection xinerama (-aqua) -cloudprint -colord -debug -examples {-test} -vim-syntax -wayland"                                 
[ebuild  N     ] app-text/ghostscript-gpl-9.10-r2  USE="X cups dbus gtk -bindist -djvu -idn -static-libs" LINGUAS="-de -ja -ko -zh_CN -zh_TW"
[ebuild  N     ] net-print/cups-filters-1.0.53  USE="dbus foomatic jpeg png tiff -perl -static-libs -zeroconf"                                                                       
[ebuild  N     ] net-wireless/wpa_supplicant-2.0-r2  USE="dbus qt4 readline ssl -ap -eap-sim -fasteap -gnutls -p2p (-ps3) (-selinux) -smartcard -wimax -wps"                         
[ebuild  N     ] dev-db/mariadb-5.5.39  USE="community pam perl ssl -bindist -cluster -debug -embedded -extraengine -jemalloc -latin1 -max-idx-128 -minimal -oqgraph -profiling (-selinux) -sphinx -static -static-libs -systemtap -tcmalloc {-test} -tokudb"                   
[ebuild  N     ] virtual/mysql-5.5  USE="-embedded -minimal -static -static-libs"
[ebuild  N     ] dev-perl/DBD-mysql-4.20.0-r1  USE="-embedded"
[ebuild  N     ] dev-qt/qtsql-4.8.5  USE="exceptions mysql qt3support sqlite (-aqua) -debug (-firebird) -freetds -oci8 -odbc -pch -postgres"
[ebuild  N     ] dev-qt/qt3support-4.8.5  USE="accessibility exceptions (-aqua) -debug -pch"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/openssl:0

  (dev-libs/openssl-1.0.1h-r1::gentoo, installed) pulled in by
    >=dev-libs/openssl-0.9.6d:0[bindist=] required by (net-misc/openssh-6.6_p1-r1::gentoo, installed)

  (dev-libs/openssl-1.0.1i::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/openssl-1.0.1h-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (net-nds/openldap-2.4.38-r2::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)



dev-libs/glib:2

  (dev-libs/glib-2.40.0-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/glib-2.40.0:2 required by (dev-util/gdbus-codegen-2.40.0::gentoo, ebuild scheduled for merge)
    (and 2 more with the same problem)

  (dev-libs/glib-2.38.2-r1::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-libs/libxml2:2

  (dev-libs/libxml2-2.9.1-r4::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libxml2[python,python_targets_python2_7(-),python_single_target_python2_7(+)] required by (media-libs/mesa-10.0.4::gentoo, ebuild scheduled for merge)

  (dev-libs/libxml2-2.9.1-r4::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-lang/perl:0

  (dev-lang/perl-5.16.3::gentoo, installed) pulled in by
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Scalar-List-Utils-1.270.0::gentoo, installed)                                                                             
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/File-Spec-3.400.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Module-CoreList-2.840.0::gentoo, installed)
    =dev-lang/perl-5.16* required by (virtual/perl-Time-HiRes-1.972.500-r2::gentoo, ebuild scheduled for merge)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Module-Load-Conditional-0.540.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Compress-Raw-Zlib-2.60.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Compress-Raw-Bzip2-2.60.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/IO-Compress-2.60.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Test-Harness-3.260.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Module-Load-0.240.0::gentoo, installed)
    (and 6 more with the same problems)

  (dev-lang/perl-5.18.2-r1::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.18* required by (virtual/perl-Storable-2.410.0-r1::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


There is also no links:
Gentoo-2012 mnt # which links
which: no links in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.3)

Code:

Gentoo-2012 mnt # emerge www-client/links

...
checking for NEEDED... no
configure: error: Package requirements (pthread-stubs xau >= 0.99.2) were not met:

No package 'pthread-stubs' found
No package 'xau' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables NEEDED_CFLAGS
and NEEDED_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-libs/libxcb-1.10/work/libxcb-1.10-abi_x86_64.amd64/config.log
 * ERROR: x11-libs/libxcb-1.10::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 4515:  Called xorg-2_src_configure
 *        environment, line 5262:  Called autotools-multilib_src_configure
 *        environment, line  831:  Called multilib-minimal_src_configure
 *        environment, line 3032:  Called multilib_parallel_foreach_abi 'multilib-minimal_abi_src_configure'
 *        environment, line 3338:  Called multibuild_parallel_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2925:  Called multibuild_foreach_variant '_multibuild_parallel' '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2868:  Called _multibuild_run '_multibuild_parallel' '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2866:  Called _multibuild_parallel '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2916:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *        environment, line  593:  Called multilib-minimal_abi_src_configure
 *        environment, line 3026:  Called multilib_src_configure
 *        environment, line 3459:  Called autotools-utils_src_configure
 *        environment, line  872:  Called econf '--docdir=/usr/share/doc/libxcb-1.10' '--enable-shared' '--disable-static' '--disable-build-docs' '--disable-selinux' '--enable-xkb' '--enable-xinput'
 *   phase-helpers.sh, line  584:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
 * If you need support, post the output of `emerge --info '=x11-libs/libxcb-1.10::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=x11-libs/libxcb-1.10::gentoo'`.
/usr/lib64/portage/bin/isolated-functions.sh: line 195: wait: `econf failed': not a pid or valid job spec
 * The complete build log is located at '/var/tmp/portage/x11-libs/libxcb-1.10/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/libxcb-1.10/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-libs/libxcb-1.10/work/libxcb-1.10-abi_x86_64.amd64'
 * S: '/var/tmp/portage/x11-libs/libxcb-1.10/work/libxcb-1.10'

>>> Failed to emerge x11-libs/libxcb-1.10, Log file:

>>>  '/var/tmp/portage/x11-libs/libxcb-1.10/temp/build.log'

 * Messages for package x11-libs/libxcb-1.10:

 * ERROR: x11-libs/libxcb-1.10::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 4515:  Called xorg-2_src_configure
 *        environment, line 5262:  Called autotools-multilib_src_configure
 *        environment, line  831:  Called multilib-minimal_src_configure
 *        environment, line 3032:  Called multilib_parallel_foreach_abi 'multilib-minimal_abi_src_configure'
 *        environment, line 3338:  Called multibuild_parallel_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2925:  Called multibuild_foreach_variant '_multibuild_parallel' '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2868:  Called _multibuild_run '_multibuild_parallel' '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2866:  Called _multibuild_parallel '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *        environment, line 2916:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *        environment, line  593:  Called multilib-minimal_abi_src_configure
 *        environment, line 3026:  Called multilib_src_configure
 *        environment, line 3459:  Called autotools-utils_src_configure
 *        environment, line  872:  Called econf '--docdir=/usr/share/doc/libxcb-1.10' '--enable-shared' '--disable-static' '--disable-build-docs' '--disable-selinux' '--enable-xkb' '--enable-xinput'
 *   phase-helpers.sh, line  584:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
 * If you need support, post the output of `emerge --info '=x11-libs/libxcb-1.10::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=x11-libs/libxcb-1.10::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/x11-libs/libxcb-1.10/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/libxcb-1.10/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-libs/libxcb-1.10/work/libxcb-1.10-abi_x86_64.amd64'
 * S: '/var/tmp/portage/x11-libs/libxcb-1.10/work/libxcb-1.10'

 * GNU info directory index is up-to-date.

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


With wireless-tools the configuration fails as well.
I'll add the stuff after I have booted to the installed Gentoo, given the commands with outputs to files
and booted back to this Live DVD.
_________________
3.12.21-gentoo-r1 on HP Pavilion a6622sc (CPU: Phenom 8550, Graphics: NVIDIA GeForce 9300GS, Chipset: NVIDIA GeForce 6150SE nForce 430, RAM: 3GB)
Back to top
View user's profile Send private message
turboscrew
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2014
Posts: 88
Location: Nokia (town), Finland

PostPosted: Sat Sep 27, 2014 1:40 pm    Post subject: Reply with quote

Here\s the stuff from the installed Gentoo (typescripts):
(Edited away the passphrase)


Code:

Gentoo-2012 root # cat typescript
Script started on Sat 27 Sep 2014 04:03:51 PM Local time zone must be set--see zic manual page
JAA-GENTOO ~ # ifconfig -a
enp0s7: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:21:97:1d:44:97  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

wlp4s0: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:22:5f:19:29:7f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

JAA-GENTOO ~ # rfkill list all
0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
JAA-GENTOO ~ # iwconfig wlp4s0
wlp4s0    IEEE 802.11bgn  ESSID:off/any 
          Mode:Managed  Access Point: Not-Associated   Tx-Power=0 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
         
JAA-GENTOO ~ # iwlist wlp4s0 scanning
wlp4s0    Interface doesn't support scanning : Network is down

JAA-GENTOO ~ # cat /etc/conf.d/net
dns_domain_lo="WORKGROUP"
config_eth0="dhcp"
config_wlp4s0="dhcp"
# modules="wpa_supplicant"
# wpa_supplicant_eth1="-drt2x00pci"
modules="iwconfig"
#preferred_aps="'ESSID1'"
key_kotiverkko_G_WEP="[1] s:xxxxxxxxxxxxx key [1] enc open"
preferred_aps="'kotiverkko_G_WEP'"
associate_order="preferredonly"
#iwconfig_eth1="mode managed"

JAA-GENTOO ~ # ifup wlp4s0
bash: ifup: command not found
JAA-GENTOO ~ # ifconfig wlp4s0 up
SIOCSIFFLAGS: No such file or directory
JAA-GENTOO ~ # exit

Script done on Sat 27 Sep 2014 04:07:10 PM Local time zone must be set--see zic manual page


Code:

Gentoo-2012 root # cat wifi.txt
Script started on Sat 27 Sep 2014 04:10:57 PM Local time zone must be set--see zic manual page
JAA-GENTOO ~ # lsmod | grep rt
xt_multiport           12798  0
xt_addrtype            12635  0
x_tables               34059  56 xt_physdev,xt_pkttype,ip6table_filter,xt_statistic,xt_DSCP,xt_dccp,xt_dscp,xt_iprange,xt_mark,xt_sctp,xt_time,xt_CT,xt_helper,ip6table_mangle,ip6t_rpfilter,xt_length,xt_comment,ipt_ULOG,xt_policy,xt_CHECKSUM,xt_recent,ip_tables,xt_tcpmss,xt_tcpudp,ipt_MASQUERADE,ipt_ah,xt_AUDIT,xt_NFQUEUE,xt_NFLOG,ip6t_MASQUERADE,xt_limit,xt_owner,xt_realm,ipt_rpfilter,xt_connlimit,xt_conntrack,xt_LOG,xt_mac,xt_nat,xt_set,ipt_CLUSTERIP,xt_hashlimit,xt_multiport,iptable_filter,ip6table_raw,xt_CLASSIFY,xt_TCPMSS,xt_TPROXY,xt_connmark,ipt_REJECT,iptable_mangle,ipt_ECN,ip6_tables,xt_addrtype,iptable_raw,ip6t_REJECT
rt2800pci              18770  0
rt2800lib              89172  1 rt2800pci
rt2x00pci              13287  1 rt2800pci
rt2x00mmio             13603  1 rt2800pci
rt2x00lib              55251  4 rt2x00pci,rt2800lib,rt2800pci,rt2x00mmio
eeprom_93cx6           13344  1 rt2800pci
mac80211              524522  3 rt2x00lib,rt2x00pci,rt2800lib
cfg80211              482971  2 mac80211,rt2x00lib
crc_ccitt              12707  1 rt2800lib
scsi_transport_iscsi    89195  2 iscsi_tcp,libiscsi
scsi_transport_sas     41073  4 mpt2sas,libsas,mptsas,aic94xx
scsi_transport_fc      59911  3 lpfc,qla2xxx,mptfc
scsi_tgt               20065  1 scsi_transport_fc
parport                42214  1 imm
scsi_transport_spi     30730  5 mptspi,sym53c8xx,aic79xx,aic7xxx,dmx3191d
pata_artop             13501  0
JAA-GENTOO ~ # exit

Script done on Sat 27 Sep 2014 04:11:25 PM Local time zone must be set--see zic manual page


Code:

Gentoo-2012 root # cat network.txt
Script started on Sat 27 Sep 2014 04:14:39 PM Local time zone must be set--see zic manual page
JAA-GENTOO ~ # which wpa_supplicant
which: no wpa_supplicant in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.3)
JAA-GENTOO ~ # which links
which: no links in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.3)
JAA-GENTOO ~ # exit

Script done on Sat 27 Sep 2014 04:15:31 PM Local time zone must be set--see zic manual page


Also my wifi (the gentoo live DVD, using WPA2) seems to break the connection everu few minutes.

I also forgot to mention, I have a Buffalo Nfiniti WHR-G300N set up as hotspot. It has 3 APs: one as WEP, one as TKIP and one as AES (=WPA).
_________________
3.12.21-gentoo-r1 on HP Pavilion a6622sc (CPU: Phenom 8550, Graphics: NVIDIA GeForce 9300GS, Chipset: NVIDIA GeForce 6150SE nForce 430, RAM: 3GB)
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sat Sep 27, 2014 8:43 pm    Post subject: Reply with quote

next time you boot the new gentoo install run
Code:
ifconfig
if wlp4s0 does not appear in the output the interface was not brought up. Run
Code:
ifconfig wlp4s0 up
What is the response?
until you emerge wpa_supplicant you can not use aes wpa tkip ccmp ... you should be able to connect manually using the wep network if the interface is up and if you have emerged wireless-tools or iw
have you restored the ability to run emerge?
have you run
Code:
emerge linux-firmware

if not and if
Code:
emerge linux-firmware
is blocked, run
Code:
emerge --nodeps linux-firmware


boot the livemedia, run
Code:
lspci -k | grep -i ralink
lsusb | grep -i ralink
grep -i rt2 /mnt/gentoo/var/log/dmesg
grep -i wlan0 mnt/gentoo/var/log/dmesg
grep -i wlp4s0 /mnt/gentoo/var/log/dmesg
sed -n -e '/CONFIG_P54_COMMON/,/CONFIG_RT2X00_DEBUG/ p' /usr/src/linux/.config
post results. If you get a command not found, you need a better livemedia. Suggest http://www.sysresccd.org/Download
_________________
Defund the FCC.
Back to top
View user's profile Send private message
turboscrew
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2014
Posts: 88
Location: Nokia (town), Finland

PostPosted: Sat Sep 27, 2014 10:39 pm    Post subject: Reply with quote

I'm using this live DVD:
http://mirror.usu.edu/mirrors/gentoo//releases/amd64/20121221/

The stuff in the first post was taken from chrooted bash on the mentioned live DVD.

The latter posting contains typescripts taken from the installed Gentoo
After taking the typescripts I rebooted on the Live DVD and made the posting.

So these were taken from the installed Gentoo:

Code:
wlp4s0: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:22:5f:19:29:7f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

JAA-GENTOO ~ # rfkill list all
0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
JAA-GENTOO ~ # iwconfig wlp4s0
wlp4s0    IEEE 802.11bgn  ESSID:off/any 
          Mode:Managed  Access Point: Not-Associated   Tx-Power=0 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
         
JAA-GENTOO ~ # iwlist wlp4s0 scanning
wlp4s0    Interface doesn't support scanning : Network is down


Oh, and:
Code:
JAA-GENTOO ~ # ifup wlp4s0
bash: ifup: command not found
JAA-GENTOO ~ # ifconfig wlp4s0 up
SIOCSIFFLAGS: No such file or directory


I remember that on the Live DVD the interface is known as wlan0 or something.

Ops, forgot...
I'm not sure about the firmware - the file should be there, but...
Also, I'll check the HW - have to boot to the installed Gentoo first and then back to the live DVD.

-----

The linux-firmware installed fine.

On the installed:
Code:
JAA-GENTOO ~ # lspci -k | grep -i ralink
04:00.0 Network controller: Ralink corp. RT2790 Wireless 802.11n 1T/2R PCIe
JAA-GENTOO ~ # dmesg | grep rt2
[   13.552227] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 2872, rev 0201 detected
[   13.566163] ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 0003 detected
JAA-GENTOO ~ # dmesg | grep ralink
JAA-GENTOO ~ #

On the DVD (chrooted):
Code:
Gentoo-2012 / # grep -i wlp4s0 /var/log/dmesg
[   13.727095] systemd-udevd[2007]: renamed network interface wlan0 to wlp4s0

Gentoo-2012 / # sed -n -e '/CONFIG_P54_COMMON/,/CONFIG_RT2X00_DEBUG/ p' /usr/src/linux/.config
CONFIG_P54_COMMON=m
CONFIG_P54_USB=m
CONFIG_P54_PCI=m
CONFIG_P54_LEDS=y
CONFIG_RT2X00=m
CONFIG_RT2400PCI=m
CONFIG_RT2500PCI=m
CONFIG_RT61PCI=m
CONFIG_RT2800PCI=m
CONFIG_RT2800PCI_RT33XX=y
CONFIG_RT2800PCI_RT35XX=y
CONFIG_RT2800PCI_RT53XX=y
CONFIG_RT2800PCI_RT3290=y
CONFIG_RT2500USB=m
CONFIG_RT73USB=m
CONFIG_RT2800USB=m
CONFIG_RT2800USB_RT33XX=y
CONFIG_RT2800USB_RT35XX=y
CONFIG_RT2800USB_RT3573=y
CONFIG_RT2800USB_RT53XX=y
CONFIG_RT2800USB_RT55XX=y
CONFIG_RT2800USB_UNKNOWN=y
CONFIG_RT2800_LIB=m
CONFIG_RT2X00_LIB_MMIO=m
CONFIG_RT2X00_LIB_PCI=m
CONFIG_RT2X00_LIB_USB=m
CONFIG_RT2X00_LIB=m
CONFIG_RT2X00_LIB_FIRMWARE=y
CONFIG_RT2X00_LIB_CRYPTO=y
CONFIG_RT2X00_LIB_LEDS=y
# CONFIG_RT2X00_DEBUG is not set
Gentoo-2012 / #


Also, does this indicate that my packages are out of sync (the installation was on hold for a couple of months)?
And if so, what should I do? How to update everything that needs to be updated?
I understand that 'emerge --sync' or 'emerge-webrsync' alone are not enough?
They only update the repo info?

Code:
dev-lang/perl:0

  (dev-lang/perl-5.16.3::gentoo, installed) pulled in by
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Scalar-List-Utils-1.270.0::gentoo, installed)                                                       
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/File-Spec-3.400.0::gentoo, installed)                                                               
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Module-CoreList-2.840.0::gentoo, installed)
    =dev-lang/perl-5.16* required by (virtual/perl-Time-HiRes-1.972.500-r2::gentoo, ebuild scheduled for merge)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Module-Load-Conditional-0.540.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Compress-Raw-Zlib-2.60.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Compress-Raw-Bzip2-2.60.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/IO-Compress-2.60.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Test-Harness-3.260.0::gentoo, installed)
    dev-lang/perl:0/5.16=[-build(-)] required by (perl-core/Module-Load-0.240.0::gentoo, installed)
    (and 6 more with the same problems)

  (dev-lang/perl-5.18.2-r1::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.18* required by (virtual/perl-Storable-2.410.0-r1::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


Booted to the installed Gentoo, and now (after emerging the linux-firmware)
the 'iwlist wlp4s0 scanning' found all the three APs.
It just doesn't connect regardless of the stuff in the '/etc/conf.d/net':
Code:
JAA-GENTOO ~ # cat /etc/conf.d/net
dns_domain_lo="WORKGROUP"
config_eth0="dhcp"
config_wlp4s0="dhcp"
# modules="wpa_supplicant"
# wpa_supplicant_eth1="-drt2x00pci"
modules="iwconfig"
#preferred_aps="'ESSID1'"
key_kotiverkko_G_WEP="[1] s:xxxxxxxxxxxxx key [1] enc open"
preferred_aps="'kotiverkko_G_WEP'"
associate_order="preferredonly"
#iwconfig_eth1="mode managed"

_________________
3.12.21-gentoo-r1 on HP Pavilion a6622sc (CPU: Phenom 8550, Graphics: NVIDIA GeForce 9300GS, Chipset: NVIDIA GeForce 6150SE nForce 430, RAM: 3GB)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum